View Class |
The View class contains methods related to views.
Views are views that contain other drawing objects, excluding other views.
Views also contain drawing representations of model objects.
Inheritance Hierarchy
SystemObject
Tekla.Structures.DrawingDatabaseObject
Tekla.Structures.DrawingDrawingObject
Tekla.Structures.DrawingViewBase
Tekla.Structures.DrawingView
Tekla.Structures.DrawingDatabaseObject
Tekla.Structures.DrawingDrawingObject
Tekla.Structures.DrawingViewBase
Tekla.Structures.DrawingView
Namespace: Tekla.Structures.Drawing
Assembly: Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
The View type exposes the following members.
Constructors
Name | Description | |
---|---|---|
View(ContainerView, CoordinateSystem, CoordinateSystem, ArrayList) |
Creates a new view instance with the given coordinate systems and part list.
| |
View(ContainerView, CoordinateSystem, CoordinateSystem, AABB) |
Creates a new view instance with the given coordinate systems and model area.
| |
View(ContainerView, CoordinateSystem, CoordinateSystem, ArrayList, String) |
Creates a new view instance with the given coordinate systems, part list and attributes file's filename.
| |
View(ContainerView, CoordinateSystem, CoordinateSystem, AABB, String) |
Creates a new view instance with the given coordinate systems, model area and attributes file's filename.
|
Properties
Name | Description | |
---|---|---|
Attributes |
The view attributes.
| |
DisplayCoordinateSystem |
The coordinate system of the display plane.
This can be used to transform global points from the model that is to be inserted in the view.
| |
ExtremaCenter |
Gets the view extrema center.
(Inherited from ViewBase.) | |
FrameOrigin |
The vector from the view origin to the frame origin.
(Inherited from ViewBase.) | |
Height |
The height of the view frame in paper coordinates.
(Inherited from ViewBase.) | |
IsSheet |
Gets a value indicating whether the container view is the drawing's sheet.
(Inherited from ViewBase.) | |
Name |
The name of the view.
| |
Origin |
The view origin coordinates in the sheet.
(Inherited from ViewBase.) | |
QueryReturnValue |
Status information about the latest database operation (select, insert, modify, delete).
(Inherited from DatabaseObject.) | |
RestrictionBox |
The axis aligned bounding box that represents the volume of the view.
| |
ViewCoordinateSystem |
The coordinate system of the view plane.
| |
ViewType |
The view type information.
| |
Width |
The width of the view frame in paper coordinates.
(Inherited from ViewBase.) |
Methods
Name | Description | |
---|---|---|
Create3dView(Drawing, Point, ViewViewAttributes, View) |
Generates a new 3d view on the sheet of the given drawing.
| |
Create3dView(Drawing, CoordinateSystem, CoordinateSystem, AABB, Point, ViewViewAttributes, View) |
Generates a new 3d view on the sheet of the given drawing using given view plane and display plane.
| |
CreateBackView |
Generates a new back view on the sheet of the given drawing.
| |
CreateBottomView |
Generates a new bottom view on the sheet of the given drawing.
| |
CreateCurvedSectionView |
Generates a new curved section view on the sheet and the associated section mark for the specified view.
| |
CreateDetailView |
Generates a new detail view on the sheet and the associated detail mark for the specified view.
| |
CreateFrontView |
Generates a new front view on the sheet of the given drawing.
| |
CreateSectionView |
Generates a new section view on the sheet and the associated section mark for the specified view.
| |
CreateTopView |
Generates a new top view on the sheet of the given drawing.
| |
Delete |
Deletes the view and its children objects from the database.
(Inherited from ViewBase.) | |
GetAllObjects |
Gets all the objects and their children objects in the view.
(Inherited from ViewBase.) | |
GetAllObjects(Type) |
Gets all the objects and their children objects in the view that are of a certain type.
(Inherited from ViewBase.) | |
GetAllObjects(Type) |
Gets all the objects and their children objects in the view that are of certain types.
(Inherited from ViewBase.) | |
GetAxisAlignedBoundingBox |
The view size in paper coordinates.
(Inherited from ViewBase.) | |
GetDoubleUserProperties(DictionaryString, Double) |
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetDoubleUserProperties(ListString, DictionaryString, Double) |
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetDrawing |
Gets the drawing where the drawing object is.
(Inherited from DrawingObject.) | |
GetIntegerUserProperties(DictionaryString, Int32) |
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetIntegerUserProperties(ListString, DictionaryString, Int32) |
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetModelObjects |
Gets the model objects that are in the view.
| |
GetModelObjects(Identifier) |
Gets the drawing model objects based on given model object identifier.
If used from sheet model objects from all views are returned.
(Inherited from ViewBase.) | |
GetObjects |
Gets the objects in the view. Does not return child objects (single dimensions, grid lines, views).
(Inherited from ViewBase.) | |
GetObjects(Type) |
Gets the objects in the view that are of certain types. Does not return child objects (single dimensions, grid lines, views).
(Inherited from ViewBase.) | |
GetOriginalDrawing |
Gets the drawing on which the view was originally created.
@see DrawingObject.GetDrawing() for retrieving the current drawing the object resides on.
(Inherited from ViewBase.) | |
GetRelatedObjects |
Gets the related objects of the current object.
(Inherited from DrawingObject.) | |
GetRelatedObjects(Type) |
Gets the related objects of the current object that are of certain types.
(Inherited from DrawingObject.) | |
GetStringUserProperties(DictionaryString, String) |
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetStringUserProperties(ListString, DictionaryString, String) |
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.) | |
GetUserProperty(String, Double) |
Gets a double property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
GetUserProperty(String, Int32) |
Gets an integer property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
GetUserProperty(String, String) |
Gets a string property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
GetView |
Gets the view where the drawing object is.
(Inherited from DrawingObject.) | |
GetVisibleAreaRestrictionBoxes |
Gets the restriction boxes that represent the visible areas of the view.
| |
Insert |
Inserts the view to the database.
(Inherited from ViewBase.) | |
IsEqual |
Compares the current object with an object of the same type.
(Overrides ViewBaseIsEqual(Object).) | |
IsSameDatabaseObject |
Returns true if the current object and the given object are referencing the same database object.
(Inherited from DatabaseObject.) | |
Modify |
Modifies the view in the database.
(Inherited from ViewBase.) | |
RotateViewOnAxisX |
Rotate the view on the X axis.
| |
RotateViewOnAxisY |
Rotate the view on the Y axis.
| |
RotateViewOnAxisZ |
Rotate the view on the Z axis.
| |
RotateViewOnDrawingPlane |
Rotate the view on the drawings plane.
This works just like the user interface command "Rotate view".
| |
Select |
Selects the view from the database.
(Inherited from ViewBase.) | |
SetUserProperty(String, Double) |
Sets a double property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
SetUserProperty(String, Int32) |
Sets an integer property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
SetUserProperty(String, String) |
Sets a string property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) | |
ToString |
Changes the string presentation of the drawing object.
(Inherited from DrawingObject.) |
Examples
The following example creates and inserts two new views to the active drawing.
A drawing must be open when executing the code.
using Tekla.Structures.Drawing; using Tekla.Structures.Geometry3d; public class Example { public void Example1() { Beam beam = new Beam(new Point(0, 0, 0), new Point(500, 0, 0)); beam.Profile.ProfileString = "HEA300"; beam.Insert(); Beam column = new Beam(new Point(0, 0, 0), new Point(0, 0, 500)); column.Profile.ProfileString = "HEA200"; column.Insert(); new Model().CommitChanges(); DrawingHandler myDrawingHandler = new DrawingHandler(); if(myDrawingHandler.GetConnectionStatus()) { Drawing currentDrawing = myDrawingHandler.GetActiveDrawing(); CoordinateSystem coordSysPlan = new CoordinateSystem( new Point(), new Vector(1, 0, 0), new Vector(0, 1, 0)); CoordinateSystem coordSys3d = new CoordinateSystem( new Point(), new Vector(0.5, 0.866, 0), new Vector(-0.296, 0.171, 0.94)); View newPlanView = new View(Drawing.GetSheet(), coordSysPlan, coordSysPlan, new AABB(new Point(-1000, -1000, -1000), new Point(1000, 1000, 1000))); newPlanView.Insert(); View new3dView = new View(Drawing.GetSheet(), coordSysPlan, coordSys3d, new AABB(new Point(-1000, -1000, -1000), new Point(1000, 1000, 1000))); new3dView.Insert(); currentDrawing.PlaceViews(); } } }
See Also